/**
 * copyright 2022 @codewithsadee
 */


/*-----------------------------------*\
  #CUSTOM PROPERTY
\*-----------------------------------*/

:root {

  /**
   * colors
   */

  /* gradient */

  --bg-gradient-onyx: linear-gradient(to bottom right,
      hsl(240, 1%, 25%) 3%,
      hsl(0, 0%, 19%) 97%);
  --bg-gradient-jet: linear-gradient(to bottom right,
      hsla(240, 1%, 18%, 0.251) 0%,
      hsla(240, 2%, 11%, 0) 100%), hsl(240, 2%, 13%);
  --bg-gradient-yellow-1: linear-gradient(to bottom right,
      hsl(45, 100%, 71%) 0%,
      hsla(36, 100%, 69%, 0) 50%);
  --bg-gradient-yellow-2: linear-gradient(135deg,
      hsla(45, 100%, 71%, 0.251) 0%,
      hsla(35, 100%, 68%, 0) 59.86%), hsl(240, 2%, 13%);
  --border-gradient-onyx: linear-gradient(to bottom right,
      hsl(0, 0%, 25%) 0%,
      hsla(0, 0%, 25%, 0) 50%);
  --text-gradient-yellow: linear-gradient(to right,
      hsl(45, 100%, 72%),
      hsl(35, 100%, 68%));

  --text-gradient-primary: linear-gradient(to right,
      var(--accent-primary),
      var(--accent-tertiary));

  /* solid */

  --jet: hsl(0, 0%, 22%);
  --onyx: hsl(240, 1%, 17%);
  --eerie-black-1: hsl(240, 2%, 13%);
  --eerie-black-2: hsl(240, 2%, 8%);
  --eerie-black-3: hsl(240, 4%, 6%);
  --eerie-black-4: hsl(240, 4%, 2%);
  --smoky-black: hsl(0, 0%, 7%);
  --white-1: hsl(0, 0%, 100%);
  --white-2: hsl(0, 0%, 98%);
  --accent-primary: hsl(262, 80%, 82%);
  --accent-secondary: hsl(262, 71%, 77%);
  --accent-tertiary: hsl(262, 47%, 62%);
  --orange-yellow-crayola: hsl(45, 100%, 72%);
  --vegas-gold: hsl(45, 54%, 58%);
  --light-gray: hsl(0, 0%, 84%);
  --light-gray-70: hsla(0, 0%, 84%, 0.7);
  --bittersweet-shimmer: hsl(0, 43%, 51%);

  /**
   * typography
   */

  /* font-family */
  --ff-primary: 'Verdana', sans-serif;

  /* font-size */
  --fs-1: 32px;
  --fs-2: 28px;
  --fs-3: 26px;
  --fs-4: 24px;
  --fs-5: 20px;
  --fs-6: 19px;
  --fs-7: 18px;
  --fs-8: 17px;

  /* font-weight */
  --fw-para: 400;
  --fw-header: 500;
  --fw-title: 600;

  /**
   * shadow
   */

  --shadow-1: -4px 8px 24px hsla(0, 0%, 0%, 0.25);
  --shadow-2: 0 16px 30px hsla(0, 0%, 0%, 0.25);
  --shadow-3: 0 16px 40px hsla(0, 0%, 0%, 0.25);
  --shadow-4: 0 25px 50px hsla(0, 0%, 0%, 0.15);
  --shadow-5: 0 24px 80px hsla(0, 0%, 0%, 0.25);

  /**
   * transition
   */

  --transition-1: 0.25s ease;
  --transition-2: 0.5s ease-in-out;

}


/* service */

.service-item {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  gap: 18px;
  padding: 30px;
}

/*-----------------------------------*\
  #RESET
\*-----------------------------------*/

*,
*::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

a {
  text-decoration: none;
  color: var(--accent-primary);
  pointer-events: all;
}

li {
  list-style: none;
  pointer-events: none;
}

.bullet-li {
  list-style: disc;
  font-size: var(--fs-5) !important;
}

ion-icon,
button,
time,
span {
  display: block;
}

button {
  font: inherit;
  background: none;
  border: none;
  text-align: left;
  cursor: pointer;
}

input,
textarea {
  display: block;
  width: 100%;
  background: none;
  font: inherit;
}

::selection {
  background: var(--accent-primary);
  color: var(--smoky-black);
}

:focus {
  outline-color: var(--accent-primary);
}

html {
  font-family: var(--ff-primary);
}

body {
  background: var(--eerie-black-4);
}


/*-----------------------------------*\
  #REUSED STYLE
\*-----------------------------------*/

custom-sidebar,
article {
  background: var(--eerie-black-2);
  border: 1px solid var(--jet);
  border-radius: 20px;
  padding: 15px;
  box-shadow: var(--shadow-1);
  z-index: 1;
}

.separator {
  width: 100%;
  height: 1px;
  background: var(--jet);
  margin: 16px 0;
}

.icon-box {
  position: relative;
  background: var(--border-gradient-onyx);
  width: 30px;
  height: 30px;
  border-radius: 8px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 16px;
  color: var(--accent-primary);
  z-index: 1;
}

.avatar {
  height: 80px;
  width: 80px;
  border-radius: 5px;
}

.icon-box::before {
  content: "";
  position: absolute;
  inset: 2px;
  background: var(--bg-gradient-onyx);
  border-radius: inherit;
  z-index: -1;
}

.icon-box ion-icon {
  --ionicon-stroke-width: 35px;
}

article {
  display: none;
}

article.active {
  display: block;
  animation: fade 0.5s ease backwards;
}

.main-content {
  background: var(--eerie-black-3);
  padding: 20px;
  border-radius: 30px;
}

@keyframes fade {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

h1,
h2,
h3,
h4,
h5 {
  color: var(--white-2);
  text-transform: capitalize;
}

h2 {
  font-size: var(--fs-1);
  color: var(--accent-primary);
}

h3 {
  font-size: var(--fs-2);
  color: var(--accent-secondary);
}

h4 {
  font-size: var(--fs-4);
}

h5 {
  font-size: var(--fs-7);
  font-weight: var(--fw-header);
}

p {
  margin-bottom: 15px;
  font-size: var(--fs-5) !important;
  pointer-events: none;
}

span {
  font-size: var(--fs-6) !important;
}

.instagram-container {
  display: block;
  align-content: center;
}

.article-title {
  position: relative;
  padding-bottom: 7px;
}

.article-title::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 30px;
  height: 3px;
  background: var(--text-gradient-primary);
  border-radius: 3px;
}

.has-scrollbar::-webkit-scrollbar {
  width: 5px;
  /* for vertical scrollbar */
  height: 5px;
  /* for horizontal scrollbar */
}

.has-scrollbar::-webkit-scrollbar-track {
  background: var(--onyx);
  border-radius: 5px;
}

.has-scrollbar::-webkit-scrollbar-thumb {
  background: var(--accent-primary);
  border-radius: 5px;
}

.has-scrollbar::-webkit-scrollbar-button {
  width: 20px;
}

.content-card {
  position: relative;
  background: var(--border-gradient-onyx);
  padding: 15px;
  padding-top: 45px;
  border-radius: 14px;
  box-shadow: var(--shadow-2);
  cursor: pointer;
  z-index: 1;
}

.content-card::before {
  content: "";
  position: absolute;
  inset: 1px;
  background: var(--bg-gradient-jet);
  border-radius: inherit;
  z-index: -1;
}





/*-----------------------------------*\
  #MAIN
\*-----------------------------------*/

body {
  margin: 15px 12px;
  margin-bottom: 75px;
  min-width: 259px;
}





/*-----------------------------------*\
  #SIDEBAR
\*-----------------------------------*/

custom-sidebar {
  margin-bottom: 15px;
  max-height: 140px;
  overflow: hidden;
  transition: var(--transition-2);
}

custom-sidebar.active {
  max-height: 800px;
}

.sidebar-info {
  position: relative;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 15px;
}

.info-content .name {
  color: var(--white-2);
  font-size: var(--fs-3);
  font-weight: var(--fw-header);
  letter-spacing: -0.25px;
  margin-bottom: 10px;
}

.info-content .title {
  color: var(--white-1);
  background: var(--onyx);
  font-size: var(--fs-8);
  font-weight: var(--fw-para);
  width: max-content;
  padding: 3px 12px;
  border-radius: 8px;
}

.info_more-btn {
  position: absolute;
  top: -15px;
  right: -15px;
  border-radius: 0 15px;
  font-size: 13px;
  color: var(--accent-primary);
  background: var(--border-gradient-onyx);
  padding: 10px;
  box-shadow: var(--shadow-2);
  transition: var(--transition-1);
  z-index: 1;
}

.info_more-btn::before {
  content: "";
  position: absolute;
  inset: 1px;
  border-radius: inherit;
  background: var(--bg-gradient-jet);
  transition: var(--transition-1);
  z-index: -1;
}

.info_more-btn:hover {
  background: var(--bg-gradient-yellow-1);
}

.info_more-btn:hover::before {
  background: var(--bg-gradient-yellow-2);
}

.info_more-btn span {
  display: none;
}

.sidebar-info_more {
  opacity: 0;
  visibility: hidden;
  transition: var(--transition-2);
}

custom-sidebar.active .sidebar-info_more {
  opacity: 1;
  visibility: visible;
}

.contacts-list {
  display: grid;
  grid-template-columns: 1fr;
  gap: 16px;
}

.contact-item {
  min-width: 100%;
  display: flex;
  align-items: center;
  gap: 16px;
}

.contact-info {
  max-width: calc(100% - 46px);
  width: calc(100% - 46px);
}

.contact-title {
  color: var(--accent-primary);
  font-size: var(--fs-8);
  margin-bottom: 2px;
}

.contact-info :is(.contact-link, time, address) {
  color: var(--white-2);
  font-size: var(--fs-7);
}

.contact-info address {
  font-style: normal;
}

.social-list {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 15px;
  padding-bottom: 4px;
  padding-left: 7px;
}

.social-item .social-link {
  color: var(--light-gray-70);
  font-size: 32px;
}


.social-item .social-link:hover {
  color: var(--light-gray);
}





/*-----------------------------------*\
  #NAVBAR
\*-----------------------------------*/

custom-navbar {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  z-index: 2;
  background: hsla(240, 1%, 17%, 0.75);
  backdrop-filter: blur(10px);
  border: 1px solid var(--jet);
  border-radius: 12px 12px 0 0;
  box-shadow: var(--shadow-2);
}

.navbar-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  padding: 0 10px;
}

.navbar-link {
  pointer-events: all;
  color: var(--light-gray);
  font-size: var(--fs-8);
  padding: 20px 7px;
  transition: color var(--transition-1);
}

.navbar-link:hover {
  color: var(--light-gray-70);
}

.navbar-link.active {
  color: var(--accent-primary);
}

.navbar-item a {
  display: block;
}


/*-----------------------------------*\
  #ABOUT
\*-----------------------------------*/

.about .article-title {
  margin-bottom: 15px;
}





/**
 * #service 
 */

.service {
  margin-bottom: 15px;
}

.service-title {
  margin-bottom: 20px;
}

.service-list {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.service-item {
  position: relative;
  background: var(--border-gradient-onyx);
  transform: none;
  border-radius: 14px;
  box-shadow: var(--shadow-2);
  z-index: 1;
  padding: 20px;
  transition: transform 0.125s ease-in-out, background 0.125s ease-in-out;
}

.service-item::before {
  content: "";
  position: absolute;
  inset: 1px;
  background: var(--bg-gradient-jet);
  border-radius: inherit;
  z-index: -1;
}

.service-item:hover {
  transform: scale(1.025)
}

.service-icon-box {
  margin-bottom: 10px;
  align-self: center;
}

.service-icon-box img {
  margin: auto;
  width: 100px;
}

.service-content-box {
  text-align: center;
  align-self: center;
}

.service-item-title {
  margin-bottom: 7px;
}

.service-item-text {
  color: var(--light-gray);
  font-size: var(--fs-6);
  font-weight: var(--fw-3);
  line-height: 1.6;
}

/*-----------------------------------*\
  #RESUME
\*-----------------------------------*/

.article-title {
  margin-bottom: 30px;
}


/**
 * education and experience 
 */

.timeline {
  margin-bottom: 30px;
}

.title-wrapper {
  display: flex;
  align-items: center;
  gap: 15px;
  margin-bottom: 25px;
}

.timeline-list {
  font-size: var(--fs-6);
  margin-left: 45px;
}

.timeline-item:not(:last-child)::before {
  left: -40px;
}

.timeline-item::after {
  height: 8px;
  width: 8px;
  left: -43px;
}

.timeline-item-title {
  line-height: 1.3;
  margin-bottom: 7px;
}

.timeline-list span {
  color: var(--accent-tertiary);
  font-weight: var(--fw-para);
  line-height: 1.6;
}

.timeline-item:not(:last-child)::before {
  content: "";
  position: absolute;
  top: -25px;
  left: -30px;
  width: 1px;
  height: calc(100% + 50px);
  background: var(--jet);
}

.timeline-item {
  position: relative;
}

.timeline-item:not(:last-child) {
  margin-bottom: 20px;
}

.timeline-item::after {
  content: "";
  position: absolute;
  top: 5px;
  left: -33px;
  height: 6px;
  width: 6px;
  background: var(--text-gradient-primary);
  border-radius: 50%;
  box-shadow: 0 0 0 4px var(--jet);
}

ul,
p,
figcaption {
  color: var(--light-gray);
  font-weight: var(--fw-para);
  line-height: 1.6;
  color: var(--light-gray);
  font-size: var(--fs-6);
}

figure {
  text-align: center;
  display: block;
}

figure:not(:last-child) {
  margin-bottom: 40px;
}

figure:last-child {
  margin-bottom: 0;
}

figure video {
  width: 100%;
  border-radius: 5px;
}


figure img {
  width: 100%;
  border-radius: 5px;
}

.card {
  background: var(--eerie-black-2);
  padding: 20px;
  border-radius: 20px;
}

.card:not(:last-child) {
  margin-bottom: 20px;
}

.card:last-child {
  margin-bottom: 0;
}

.project-title {
  display: inline-block;
  text-decoration-line: underline;
  text-decoration-thickness: 2px;
}

.project-figure .project-img {
  transform: none;
  transition: all 0.125s ease-in-out;
}

.project-figure .project-img:hover {
  transform: scale(1.05);
  cursor: pointer;
}

.modal-container {
  display: none;
  /* Hidden by default */
  position: fixed;
  /* Stay in place */
  z-index: 2;
  /* Sit on top */
  left: 0;
  top: 0;
  width: 100%;
  /* Full width */
  height: 100%;
  /* Full height */
  overflow: auto;
  /* Enable scroll if needed */
  background-color: rgba(0, 0, 0, 0.9);
  /* Black w/ opacity */
}

/* Modal Content (Image) */
.modal-content {
  position: fixed;
  /* center the element */
  right: 0;
  left: 0;
  margin: auto;
  top: 20%;
  bottom: 20%;
  width: 100%;
  max-width: 1000px;
  border-radius: 10px;
}

/* Add Animation - Zoom in the Modal */
.modal-content {
  -webkit-animation-name: zoom;
  -webkit-animation-duration: 0.25s;
  animation-name: zoom;
  animation-duration: 0.25s;
  transition: width 0.25s ease-in-out;
}

@-webkit-keyframes zoom {
  from {
    -webkit-transform: scale(0)
  }

  to {
    -webkit-transform: scale(1)
  }
}

@keyframes zoom {
  from {
    transform: scale(0)
  }

  to {
    transform: scale(1)
  }
}

/* The Close Button */
.close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px !important;
  font-weight: bold;
  transition: 0.3s;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

.video-container {
  --width: 75%;
  display: flex;
  position: relative;
  width: var(--width);
  margin-left: calc((100% - var(--width)) / 2);
  height: 0;
  padding-bottom: calc(var(--width) / 16 * 9);
}

.video {
  position: absolute;
  width: 100%;
  height: 100%;
}

.attribution-section {
  display: flex;
  flex-direction: column;
  text-align: center;
  width: max-content;
  margin-left: auto;
  margin-right: auto;
}

.attribution-section a {
  font-size: 10px;
  color: var(--light-gray-70);
  width: max-content;
  align-self: center;
  padding: 0;
}

/**
 * skills 
 */

.skills-item {
  margin-bottom: 25px;
}

.skills-title {
  margin-bottom: 20px;
}

.skills-list {
  padding-left: 20px;
}

.skills-item {
  margin-bottom: 15px;

}

.skill .title-wrapper {
  gap: 5px;
  margin-top: 8px;
}

.skill .skills-item:not(:first-child) .title-wrapper {
  margin-top: 20px;
}

.instagram-media {
  margin-left: auto !important;
  margin-right: auto !important;
  width: 100%;
  max-width: 400px;
  aspect-ratio: 4 / 5;
}


.top-placeholder {
  height: 140px;
}


custom-sidebar {
  display: block;
}

/*-----------------------------------*\
  #RESPONSIVE
\*-----------------------------------*/

/**
 * responsive larger than 580px screen
 */

@media (min-width: 580px) {

  .top-placeholder {
    height: 208px;
  }

  .avatar {
    height: 120px;
    width: 120px;
    border-radius: 30px;
  }

  /**
   * CUSTOM PROPERTY
   */

  :root {

    /**
     * typography
     */

    --fs-1: 32px;
    --fs-2: 24px;
    --fs-3: 26px;
    --fs-4: 18px;
    --fs-6: 15px;
    --fs-7: 15px;
    --fs-8: 12px;

  }



  /**
   * #REUSED STYLE
   */

  custom-sidebar,
  article {
    width: 520px;
    height: min-content;
    margin-inline: auto;
    padding: 30px;
  }

  .article-title {
    font-weight: var(--fw-title);
    padding-bottom: 15px;
  }

  .article-title::after {
    width: 40px;
    height: 5px;
  }

  .icon-box {
    width: 48px;
    height: 48px;
    border-radius: 12px;
    font-size: 18px;
  }



  /**
   * #MAIN
   */

  body {
    margin-top: 60px;
    margin-bottom: 100px;
  }



  /**
   * #SIDEBAR
   */

  custom-sidebar {
    max-height: 180px;
    margin-bottom: 30px;
  }

  custom-sidebar.active {
    max-height: 584px;
  }

  .sidebar-info {
    gap: 25px;
  }

  .info-content .name {
    margin-bottom: 15px;
  }

  .info-content .title {
    padding: 5px 18px;
  }

  .info_more-btn {
    top: -30px;
    right: -30px;
    padding: 10px 15px;
  }

  .info_more-btn span {
    display: block;
    font-size: var(--fs-8);
  }

  .info_more-btn ion-icon {
    display: none;
  }

  .separator {
    margin: 32px 0;
  }

  .contacts-list {
    gap: 20px;
  }

  .contact-info {
    max-width: calc(100% - 64px);
    width: calc(100% - 64px);
  }



  /**
   * #NAVBAR
   */

  custom-navbar {
    border-radius: 20px 20px 0 0;
  }

  .navbar-list {
    gap: 20px;
  }

  .navbar-link {
    --fs-8: 14px;
  }


  /**
   * #ABOUT
   */

  .about .article-title {
    margin-bottom: 20px;
  }


  /**
   * #PORTFOLIO, BLOG
   */

  .project-img,
  .blog-banner-box {
    border-radius: 16px;
  }

  .blog-posts-list {
    gap: 30px;
  }

  .blog-content {
    padding: 25px;
  }

}





/**
 * responsive larger than 768px screen
 */

@media (min-width: 768px) {

  /**
   * REUSED STYLE
   */

  article {
    width: 700px;
  }

  .has-scrollbar::-webkit-scrollbar-button {
    width: 100px;
  }

  /**
   * SIDEBAR
   */

  .contacts-list {
    grid-template-columns: 1fr 1fr;
    gap: 30px 15px;
  }



  /**
   * NAVBAR
   */

  .navbar-link {
    --fs-8: 15px;
  }

  /**
   * CONTACT
   */

  .input-wrapper {
    grid-template-columns: 1fr 1fr;
  }

}





/**
 * responsive larger than 1024px screen
 */

@media (min-width: 1024px) {

  /**
   * CUSTOM PROPERTY
   */

  :root {

    /**
    * shadow
    */

    --shadow-1: -4px 8px 24px hsla(0, 0%, 0%, 0.125);
    --shadow-2: 0 16px 30px hsla(0, 0%, 0%, 0.125);
    --shadow-3: 0 16px 40px hsla(0, 0%, 0%, 0.125);

  }

  .top-placeholder {
    display: none;
  }

  .modal-content {
    width: 80%;
  }

  /**
   * REUSED STYLE
   */

  article {
    width: 950px;
    box-shadow: var(--shadow-5);
  }

  custom-sidebar {
    box-shadow: var(--shadow-5);
  }


  figure img {
    width: 75%;
  }

  figure video {
    width: 75%;
  }

  /**
   * body 
   */

  body {
    margin-bottom: 60px;
    padding-left: 20px;
    padding-right: 20px;
  }

  .main-content {
    position: relative;
    width: 100%;
    margin: auto;
  }



  /**
   * NAVBAR
   */

  custom-navbar {
    position: absolute;
    bottom: auto;
    top: 0;
    left: auto;
    right: 0;
    width: max-content;
    border-radius: 0 20px;
    padding: 0 20px;
    box-shadow: none;
  }

  .navbar-list {
    gap: 30px;
    padding: 0 20px;
  }

  .navbar-link {
    font-weight: var(--fw-header);
  }



  /**
   * ABOUT
   */

  /* service */

  .service-list {
    grid-template-columns: 1fr;
    gap: 20px 25px;
  }

  /* testimonials */

  .testimonials-item {
    min-width: calc(50% - 15px);
  }

  /* clients */

  .clients-item {
    min-width: calc(25% - 38px);
  }



  /**
   * PORTFOLIO
   */

  .project-list {
    grid-template-columns: repeat(3, 1fr);
  }



  /**
   * BLOG
   */

  .blog-banner-box {
    height: 230px;
  }

  /**
   * RESET
   */


  body::-webkit-scrollbar {
    width: 20px;
  }

  body::-webkit-scrollbar-track {
    background: var(--smoky-black);
  }

  body::-webkit-scrollbar-thumb {
    border: 5px solid var(--smoky-black);
    background: hsla(0, 0%, 100%, 0.1);
    border-radius: 20px;
    box-shadow: inset 1px 1px 0 hsla(0, 0%, 100%, 0.11),
      inset -1px -1px 0 hsla(0, 0%, 100%, 0.11);
  }

  body::-webkit-scrollbar-thumb:hover {
    background: hsla(0, 0%, 100%, 0.15);
  }

  body::-webkit-scrollbar-button {
    height: 60px;
  }

  .avatar {
    height: 125px;
    width: 125px;
    margin-left: auto;
    margin-right: auto;
  }

  /**
   * REUSED STYLE
   */

  custom-sidebar {
    width: auto;
    min-width: 320px;
  }

  article {
    min-height: 100%;
    width: auto;
  }

  figure img {
    width: 50%;
  }

  figure video {
    width: 50%;
  }


  /**
   * MAIN
   */

  body {
    margin-inline: auto;
    display: flex;
    justify-content: center;
    align-items: stretch;
    gap: 25px;
  }

  /* .main-content { */
  /*   min-width: 75%; */
  /*   width: auto; */
  /*   margin: 0; */
  /* } */



  /**
   * SIDEBAR
   */

  custom-sidebar {
    top: 60px;
    max-height: max-content;
    height: 100%;
    margin-bottom: 0;
    padding-top: 30px;
    z-index: 1;
  }

  .sidebar-info {
    flex-direction: column;
  }

  .info-content .name {
    white-space: nowrap;
    text-align: center;
  }

  .info-content .title {
    margin: auto;
  }

  .info_more-btn {
    display: none;
  }

  .sidebar-info_more {
    opacity: 1;
    visibility: visible;
  }

  .contacts-list {
    grid-template-columns: 1fr;
  }

  .contact-info :is(.contact-link) {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  .contact-info :is(.contact-link, time, address) {
    --fs-7: 14px;
    font-weight: var(--fw-para);
  }

  .separator:last-of-type {
    margin: 15px 0;
    opacity: 0;
  }

  .social-list {
    justify-content: center;
  }



  /**
	 * RESUME
	 */

  .timeline-text {
    max-width: 700px;
  }

}

/**
   * # image modal dialog
   */

/* Included in the Chrome user agent styles  */
dialog::backdrop {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Style the dialog box */
.modal-dialog {
  background-color: #fff;
  border-radius: 5px;
  width: 800px;
  max-height: 800px;
  box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.3);
  position: fixed;
  left: 50%;
  right: 50%;
  transform: translate(-50%, 25%);
}

/* Style the close button */
.modal-close {
  position: absolute;
  top: 10px;
  right: 10px;
  cursor: pointer;
}

.modal-img {
  object-fit: contain;
  width: 100%;
}
